[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/controller](../README.md) / getPluginConfig

# Function: getPluginConfig()

> **getPluginConfig**(): [`PluginConfig`](../../../types/interfaces/PluginConfig.md)

Defined in: [src/lib/controller.ts:151](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/controller.ts#L151)

Get plugin configuration from localStorage

## Returns

[`PluginConfig`](../../../types/interfaces/PluginConfig.md)
